Bug 856280 - ack - Inconsistency between man page and help
ack - Inconsistency between man page and help
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ack (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 11:45 EDT by Filip Holec
Modified: 2016-04-18 06:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: ack-2.04-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 23:21:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Holec 2012-09-11 11:45:59 EDT
Description of problem:
Some options present in help are not in man:
* --break --nobreak
* --heading --noheading
* --help-types
* --invert-file-match
* --nopager

In man, long option to -a is --all, in help it is --all-types.
In help, --env is missing.

Version-Release number of selected component (if applicable):
ack-1.96-6.fc18.noarch

How reproducible:
Always

Steps to Reproduce:
1. Check man page
2. Check --help option
  
Actual results:
Inconsistent man page/help

Expected results:
Consistent man page/help

Additional info:
Comment 1 Robin Lee 2012-09-11 21:45:46 EDT
Forwarded upstream at first: https://github.com/petdance/ack/issues/233
Comment 2 Fedora Update System 2013-04-29 05:30:50 EDT
ack-2.04-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ack-2.04-1.fc19
Comment 3 Fedora Update System 2013-04-29 13:41:56 EDT
Package ack-2.04-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ack-2.04-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6918/ack-2.04-1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-05-21 23:21:58 EDT
ack-2.04-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.